Std ViewIsometric: Difference between revisions

From FreeCAD Documentation
(Revised. 'In progress' for now.)
No edit summary
Line 14: Line 14:
}}
}}


<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Std ViewIsometric
|Name=Std ViewIsometric
Line 22: Line 23:
}}
}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
The '''Std ViewIsometric''' command changes the view direction of the active [[3D_view|3D view]] to obtain an isometric view. The view will only be isometric if it is in [[Std_OrthographicCamera|orthographic mode]].
The '''Std ViewIsometric''' command changes the view direction of the active [[3D_view|3D view]] to obtain an isometric view. The view will only be isometric if it is in [[Std_OrthographicCamera|orthographic mode]].


Line 29: Line 31:
[[Image:Std_ViewIsometric_example.svg]]
[[Image:Std_ViewIsometric_example.svg]]
<translate>
<translate>
<!--T:4-->
{{Caption|The [[Std_AxisCross|axis cross]] and a cube in isometric view}}
{{Caption|The [[Std_AxisCross|axis cross]] and a cube in isometric view}}


==Usage==
==Usage== <!--T:5-->


<!--T:6-->
# There are several ways to invoke the command:
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Std ViewIsometric]]}} button.
#* Press the {{Button|[[Image:Std_ViewIsometric.svg|16px]] [[Std_ViewIsometric|Std ViewIsometric]]}} button.
Line 39: Line 43:
#* Use the keyboard shortcut: {{KEY|0}}.
#* Use the keyboard shortcut: {{KEY|0}}.


==Scripting==
==Scripting== <!--T:7-->


<!--T:8-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:9-->
To to change the active view to isometric use the {{incode|viewIsometric}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.
To to change the active view to isometric use the {{incode|viewIsometric}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.



Revision as of 09:29, 27 March 2020

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.


Std ViewIsometric

Menu location
View → Standard views → Axonometric → Isometric
Workbenches
All
Default shortcut
0
Introduced in version
-
See also
Std ViewDimetric, Std ViewTrimetric, Std OrthographicCamera, Std PerspectiveCamera

Description

The Std ViewIsometric command changes the view direction of the active 3D view to obtain an isometric view. The view will only be isometric if it is in orthographic mode.

The axis cross and a cube in isometric view

Usage

  1. There are several ways to invoke the command:
    • Press the Std ViewIsometric button.
    • Select the View → Standard views → Axonometric → Isometric option from the menu.
    • Select the Standard views → Isometric option from the 3D view context menu.
    • Use the keyboard shortcut: 0.

Scripting

See also: FreeCAD Scripting Basics.

To to change the active view to isometric use the viewIsometric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewIsometric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()